zenilib: zenilib/jni/external/libvorbis/lib/smallft.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
smallft.c File Reference
`#include <stdlib.h>`
`#include <string.h>`
`#include <math.h>`
`#include "smallft.h"`
`#include "os.h"`
`#include "misc.h"`

Go to the source code of this file.

## Functions

static void | dradb2 (int ido, int l1, float *cc, float *ch, float *wa1)
static void | dradb3 (int ido, int l1, float *cc, float *ch, float *wa1, float *wa2)
static void | dradb4 (int ido, int l1, float *cc, float *ch, float *wa1, float *wa2, float *wa3)
static void | dradbg (int ido, int ip, int l1, int idl1, float *cc, float *c1, float *c2, float *ch, float *ch2, float *wa)
static void | dradf2 (int ido, int l1, float *cc, float *ch, float *wa1)
static void | dradf4 (int ido, int l1, float *cc, float *ch, float *wa1, float *wa2, float *wa3)
static void | dradfg (int ido, int ip, int l1, int idl1, float *cc, float *c1, float *c2, float *ch, float *ch2, float *wa)
void | drft_backward (drft_lookup *l, float *data)
void | drft_clear (drft_lookup *l)
void | drft_forward (drft_lookup *l, float *data)
void | drft_init (drft_lookup *l, int n)
static void | drftb1 (int n, float *c, float *ch, float *wa, int *ifac)
static void | drftf1 (int n, float *c, float *ch, float *wa, int *ifac)
static void | drfti1 (int n, float *wa, int *ifac)
static void | fdrffti (int n, float *wsave, int *ifac)

## Function Documentation

static void dradb2 | ( | int | ido,
|  | int | l1,
|  | float * | cc,
|  | float * | ch,
|  | float * | wa1
| ) |  |

static

Definition at line 634 of file smallft.c.

References i, k, and t2.

Referenced by drftb1().

static void dradb3 | ( | int | ido,
|  | int | l1,
|  | float * | cc,
|  | float * | ch,
|  | float * | wa1,
|  | float * | wa2
| ) |  |

static

Definition at line 686 of file smallft.c.

References i, k, and t2.

Referenced by drftb1().

static void dradb4 | ( | int | ido,
|  | int | l1,
|  | float * | cc,
|  | float * | ch,
|  | float * | wa1,
|  | float * | wa2,
|  | float * | wa3
| ) |  |

static

Definition at line 749 of file smallft.c.

References i, k, and t2.

Referenced by drftb1().

static void dradbg | ( | int | ido,
|  | int | ip,
|  | int | l1,
|  | int | idl1,
|  | float * | cc,
|  | float * | c1,
|  | float * | c2,
|  | float * | ch,
|  | float * | ch2,
|  | float * | wa
| ) |  |

static

Definition at line 840 of file smallft.c.

References cos(), i, j, k, sin(), and t2.

Referenced by drftb1().

static void dradf2 | ( | int | ido,
|  | int | l1,
|  | float * | cc,
|  | float * | ch,
|  | float * | wa1
| ) |  |

static

Definition at line 114 of file smallft.c.

References i, k, and t2.

Referenced by drftf1().

static void dradf4 | ( | int | ido,
|  | int | l1,
|  | float * | cc,
|  | float * | ch,
|  | float * | wa1,
|  | float * | wa2,
|  | float * | wa3
| ) |  |

static

Definition at line 169 of file smallft.c.

References i, k, and t2.

Referenced by drftf1().

static void dradfg | ( | int | ido,
|  | int | ip,
|  | int | l1,
|  | int | idl1,
|  | float * | cc,
|  | float * | c1,
|  | float * | c2,
|  | float * | ch,
|  | float * | ch2,
|  | float * | wa
| ) |  |

static

Definition at line 271 of file smallft.c.

References cos(), i, j, k, sin(), and t2.

Referenced by drftf1().

void drft_backward | ( | drft_lookup * | l,
|  | float * | data
| ) |  |

Definition at line 1237 of file smallft.c.

References drftb1(), drft_lookup::n, drft_lookup::splitcache, and drft_lookup::trigcache.

void drft_clear | ( | drft_lookup * | l | ) |

Definition at line 1249 of file smallft.c.

References _ogg_free, memset, drft_lookup::splitcache, and drft_lookup::trigcache.

Referenced by vorbis_dsp_clear().

void drft_forward | ( | drft_lookup * | l,
|  | float * | data
| ) |  |

Definition at line 1232 of file smallft.c.

References drftf1(), drft_lookup::n, drft_lookup::splitcache, and drft_lookup::trigcache.

Referenced by main(), and mapping0_forward().

void drft_init | ( | drft_lookup * | l,
|  | int | n
| ) |  |

Definition at line 1242 of file smallft.c.

References _ogg_calloc, fdrffti(), drft_lookup::n, drft_lookup::splitcache, and drft_lookup::trigcache.

Referenced by _vds_shared_init(), and main().

static void drftb1 | ( | int | n,
|  | float * | c,
|  | float * | ch,
|  | float * | wa,
|  | int * | ifac
| ) |  |

static

Definition at line 1154 of file smallft.c.

References dradb2(), dradb3(), dradb4(), dradbg(), and i.

Referenced by drft_backward().

static void drftf1 | ( | int | n,
|  | float * | c,
|  | float * | ch,
|  | float * | wa,
|  | int * | ifac
| ) |  |

static

Definition at line 573 of file smallft.c.

References dradf2(), dradf4(), dradfg(), and i.

Referenced by drft_forward().

static void drfti1 | ( | int | n,
|  | float * | wa,
|  | int * | ifac
| ) |  |

static

Definition at line 38 of file smallft.c.

References cos(), i, j, and sin().

Referenced by fdrffti().

static void fdrffti | ( | int | n,
|  | float * | wsave,
|  | int * | ifac
| ) |  |

static

Definition at line 108 of file smallft.c.

References drfti1().

Referenced by drft_init().